package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class KelainanDetailVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectkehamilanSekarangFk")
	@Caption(value = "Object kehamilanSekarang")
	private KehamilanSekarangVO kehamilanSekarang;
	
	@Column(name = "ObjectkehamilanSekarangFk", insertable = false, updatable = false,nullable=false)
	private String kehamilanSekarangId;

	@ManyToOne
	@JoinColumn(name = "ObjectkelainanKehamilanFk")
	@Caption(value = "Object kelainanKehamilan")
	private KelainanKehamilanVO kelainanKehamilan;
	
	@Column(name = "ObjectkelainanKehamilanFk", insertable = false, updatable = false,nullable=false)
	private Integer kelainanKehamilanId;

	@Column(name = "isNilai", nullable = true, length = 100)
	@Caption(value = "isNilai")
	private Boolean isNilai;

	public KehamilanSekarangVO getKehamilanSekarang() {
		return kehamilanSekarang;
	}

	public void setKehamilanSekarang(KehamilanSekarangVO kehamilanSekarang) {
		this.kehamilanSekarang = kehamilanSekarang;
	}

	public String getKehamilanSekarangId() {
		return kehamilanSekarangId;
	}

	public void setKehamilanSekarangId(String kehamilanSekarangId) {
		this.kehamilanSekarangId = kehamilanSekarangId;
	}

	public KelainanKehamilanVO getKelainanKehamilan() {
		return kelainanKehamilan;
	}

	public void setKelainanKehamilan(KelainanKehamilanVO kelainanKehamilan) {
		this.kelainanKehamilan = kelainanKehamilan;
	}

	public Integer getKelainanKehamilanId() {
		return kelainanKehamilanId;
	}

	public void setKelainanKehamilanId(Integer kelainanKehamilanId) {
		this.kelainanKehamilanId = kelainanKehamilanId;
	}

	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}

}
